%global momorel 1
%global md5sum_src0 11a11675a9ec5f8b0164713fc60894af
Summary:	An archive manager for GNOME.
Name:		file-roller
Version: 2.14.3
Release: %{momorel}m
License:	GPL
URL:		http://fileroller.sourceforge.net
Group:		Applications/Archiving
%NoSource 0 ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.14/%{name}-%{version}.tar.bz2 %{md5sum_src0}
Source1: http://ftp.gnome.org/pub/GNOME/sources/file-roller/file-roller.png
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Prereq: GConf
Prereq: scrollkeeper
Prereq: desktop-file-utils
BuildPrereq:	glib-devel >= 2.10.3
BuildPrereq:	gtk+-devel >= 2.8.18
BuildPrereq:	libgnome-devel >= 2.14.1
BuildPrereq:	libgnomeui-devel >= 2.14.1
BuildPrereq:	gnome-vfs-devel >= 2.14.2
BuildPrereq:	libglade-devel >= 2.5.1
BuildPrereq:    nautilus-devel >= 2.14.1
BuildPreReq: openssl-devel >= 0.9.8b

%description
File Roller is an archive manager for the GNOME environment.  This means that 
you can : create and modify archives; view the content of an archive; view a 
file contained in the archive; extract files from the archive.
File Roller is only a front-end (a graphical interface) to archiving programs 
like tar and zip. The supported file types are :
    * Tar archives uncompressed (.tar) or compressed with
          * gzip (.tar.gz , .tgz)
          * bzip (.tar.bz , .tbz)
          * bzip2 (.tar.bz2 , .tbz2)
          * compress (.tar.Z , .taz)
          * lzop (.tar.lzo , .tzo)
    * Zip archives (.zip)
    * Jar archives (.jar , .ear , .war)
    * Lha archives (.lzh)
    * Rar archives (.rar)
    * Single files compressed with gzip, bzip, bzip2, compress, lzop

%prep
%setup -q

%build
%configure \
    --disable-schemas-install \
    --disable-scrollkeeper
%make

%install
rm -rf --preserve-root %{buildroot}
%makeinstall
mkdir -p %{buildroot}/%{_datadir}/pixmaps/
cp %{SOURCE1} %{buildroot}/%{_datadir}/pixmaps/file-roller.png

#remove
rm -f %{buildroot}/%{_datadir}/icons/hicolor/icon-theme.cache

%clean
rm -rf --preserve-root %{buildroot}

%post
update-desktop-database %{_datadir}/applications
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/file-roller.schemas > /dev/null
scrollkeeper-update

%preun
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/file-roller.schemas > /dev/null

%postun
update-desktop-database %{_datadir}/applications
scrollkeeper-update

%files
%defattr(-,root,root)
%{_bindir}/file-roller
%{_datadir}/applications/file-roller.desktop
%{_datadir}/file-roller/glade/*.glade
%{_datadir}/locale/*/LC_MESSAGES/file-roller.mo
%{_datadir}/pixmaps/file-roller.png
%{_libdir}/nautilus/extensions-1.0/libnautilus-fileroller.*
%{_datadir}/omf/file-roller
%doc %{_datadir}/gnome/help/file-roller
%doc AUTHORS NEWS README COPYING ChangeLog HACKING MAINTAINERS TODO
%{_sysconfdir}/gconf/schemas/*
%{_datadir}/icons/hicolor/48x48/apps/file-roller.png

%changeLog
* Thu Jun  1 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.3-1m)
- update to 2.14.3

* Wed Apr 19 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.2-1m)
- update to 2.14.2

* Fri Apr 14 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.1-1m)
- update to 2.14.1

* Wed Apr 12 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.0-2m)
- rebuild against openssl-0.9.8a

* Sun Apr  9 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.0-1m)
- update to 2.14.0

* Sat Feb 11 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.3-1m)
- update to 2.12.3

* Sun Dec  4 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.2-1m)
- update to 2.12.2
- GNOME 2.12.2 Desktop

* Sat Nov 19 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.1-1m)
- version up
- GNOME 2.12.1 Desktop

* Thu Jan 27 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.8.3-1m)
- version 2.8.3
- GNOME 2.8 Desktop

* Sun Aug 15 2004 Motonobu Ichimura <famao@momonga-linux.org>
- (2.6.1-1m)
- version 2.6.1

* Thu Apr 22 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.6.0-1m)
- version 2.6.0
- GNOME 2.6 Desktop
- adjustment BuildPreReq

* Thu Mar 18 2004 Toru Hoshina <t@momonga-linux.org>
- (2.4.4-2m)
- revised spec for enabling rpm 4.2.

* Thu Feb 19 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.4.4-1m)
- update to 2.4.4

* Mon Jan 26 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.4.3-1m)
- version 2.4.3

* Thu Oct 16 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.4.1-1m)
- version 2.4.1

* Wed Oct 01 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (2.4.0.1-2m)
- added sigsegv-when-parent-window-destroyed-while-extracting.patch

* Tue Sep 16 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (2.4.0.1-1m)
- initial import
